package com.bocloud.cmp.model.azure.sync;

import com.bocloud.cmp.model.*;
import com.bocloud.cmp.model.azure.AvailabilitySetModel;
import com.bocloud.cmp.model.azure.PublicIPAddressModel;
import com.bocloud.cmp.model.azure.account.BatchAccountModel;
import com.bocloud.cmp.model.azure.account.StorageAccountModel;
import com.bocloud.cmp.model.azure.blob.ContainerModel;
import com.bocloud.cmp.model.azure.db.AzureDatabaseServerModel;
import com.bocloud.cmp.model.azure.db.PerformanceTierModel;
import com.bocloud.cmp.model.azure.ddos.DdosCustomPolicieModel;
import com.bocloud.cmp.model.azure.ddos.DdosProtectionPlanModel;
import com.bocloud.cmp.model.azure.monitor.MetricAlertModel;
import com.bocloud.cmp.model.azure.network.RouterTableModel;
import com.bocloud.cmp.model.azure.redis.RedisModel;
import com.bocloud.cmp.model.azure.slb.SlbModel;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AzureSyncModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/8/6 15:19
 */
@Data
public class AzureSyncModel {
    private List<ServerModel> serverModels = new ArrayList<>();
    private List<ImageModel> imageModels = new ArrayList<>();
    private List<FlavorModel> flavorModels = new ArrayList<>();
    private List<VolumeModel> volumeModels = new ArrayList<>();
    private List<SnapshotModel> snapshotModels = new ArrayList<>();
    private List<SecurityGroupModel> securityGroupModels = new ArrayList<>();
    private List<RegionModel> regionModels = new ArrayList<>();
    private List<VpcModel> vpcModels = new ArrayList<>();
    private List<KeypairModel> keypairModels = new ArrayList<>();
    private List<SubnetModel> subnetModels = new ArrayList<>();
    private List<FloatingIpModel> floatModels = new ArrayList<>();
    private List<NetworkCardModel> networkCardModels = new ArrayList<>();
    private List<LbModel> LbModels = new ArrayList<>();
    private List<ResourceGroupModel> resourceGroupModels = new ArrayList<>();
    private List<NetworkInterfaceModel> networkInterfaceModels = new ArrayList<>();
    private List<BatchAccountModel> batchAccountModels = new ArrayList<>();
    private List<StorageAccountModel> storageAccountModels = new ArrayList<>();
    private List<SlbModel> slbModels = new ArrayList<>();
    private List<PublicIPAddressModel> publicIPAddressModels = new ArrayList<>();
    private List<AvailabilitySetModel> availabilitySetModels = new ArrayList<>();
    private List<AzureDatabaseServerModel> azureDatabaseServerModels = new ArrayList<>();
    private List<PerformanceTierModel> performanceTierModels = new ArrayList<>();
    private List<RouterTableModel> routerTableModels = new ArrayList<>();
    private List<MetricAlertModel> metricAlertModels = new ArrayList<>();
    private List<ContainerModel> containerModels = new ArrayList<>();
    private List<RedisModel> redisModels = new ArrayList<>();
    private List<DdosProtectionPlanModel> planModels = new ArrayList<>();
    private List<DdosCustomPolicieModel> policieModels = new ArrayList<>();
}
